CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   errors when installing openfoam2.1 on ubuntu12.o4 (http://www.cfd-online.com/Forums/openfoam-installation/97514-errors-when-installing-openfoam2-1-ubuntu12-o4.html)

hewei February 19, 2012 05:17

errors when installing openfoam2.1 on ubuntu12.o4
 
hello, every one,
when i installing the OF on Unbuntu1204,there are some errors come up.
i.e, when i input command
"sudo apt-get update"
it displays
sudo apt-get update
Ign http://extras.ubuntu.com precise InRelease
Ign http://es.archive.ubuntu.com precise InRelease
Ign http://security.ubuntu.com precise-security InRelease
Ign http://es.archive.ubuntu.com precise-updates InRelease
Hit http://extras.ubuntu.com precise Release.gpg
Ign http://es.archive.ubuntu.com precise-backports InRelease
Hit http://es.archive.ubuntu.com precise Release.gpg
Ign http://www.openfoam.org precise InRelease
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://extras.ubuntu.com precise Release
Hit http://es.archive.ubuntu.com precise-updates Release.gpg
Hit http://es.archive.ubuntu.com precise-backports Release.gpg
Ign http://www.openfoam.org precise Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://extras.ubuntu.com precise/main Sources
Hit http://es.archive.ubuntu.com precise Release
Ign http://www.openfoam.org precise Release
Hit http://security.ubuntu.com precise-security/main Sources
Hit http://es.archive.ubuntu.com precise-updates Release
Hit http://extras.ubuntu.com precise/main amd64 Packages
Hit http://extras.ubuntu.com precise/main i386 Packages
Hit http://es.archive.ubuntu.com precise-backports Release
Hit http://security.ubuntu.com precise-security/restricted Sources
Hit http://security.ubuntu.com precise-security/universe Sources
Hit http://security.ubuntu.com precise-security/multiverse Sources
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages
Ign http://extras.ubuntu.com precise/main TranslationIndex
Hit http://es.archive.ubuntu.com precise/main Sources
Ign http://www.openfoam.org precise/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/multiverse amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://es.archive.ubuntu.com precise/restricted Sources
Hit http://es.archive.ubuntu.com precise/universe Sources
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://es.archive.ubuntu.com precise/multiverse Sources
Hit http://es.archive.ubuntu.com precise/main amd64 Packages
Hit http://es.archive.ubuntu.com precise/restricted amd64 Packages
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://es.archive.ubuntu.com precise/universe amd64 Packages
Hit http://es.archive.ubuntu.com precise/multiverse amd64 Packages
Hit http://es.archive.ubuntu.com precise/main i386 Packages
Hit http://es.archive.ubuntu.com precise/restricted i386 Packages
Hit http://es.archive.ubuntu.com precise/universe i386 Packages
Hit http://es.archive.ubuntu.com precise/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/multiverse Translation-en
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://es.archive.ubuntu.com precise/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://es.archive.ubuntu.com precise/multiverse TranslationIndex
Hit http://es.archive.ubuntu.com precise/restricted TranslationIndex
Hit http://es.archive.ubuntu.com precise/universe TranslationIndex
Hit http://es.archive.ubuntu.com precise-updates/main Sources
Ign http://extras.ubuntu.com precise/main Translation-en_US
Hit http://es.archive.ubuntu.com precise-updates/restricted Sources
Ign http://extras.ubuntu.com precise/main Translation-en
Hit http://es.archive.ubuntu.com precise-updates/universe Sources
Hit http://es.archive.ubuntu.com precise-updates/multiverse Sources
Err http://www.openfoam.org precise/main amd64 Packages
404 Not Found
Hit http://es.archive.ubuntu.com precise-updates/main amd64 Packages
Err http://www.openfoam.org precise/main i386 Packages
404 Not Found
Hit http://es.archive.ubuntu.com precise-updates/restricted amd64 Packages
Hit http://es.archive.ubuntu.com precise-updates/universe amd64 Packages
Hit http://es.archive.ubuntu.com precise-updates/multiverse amd64 Packages
Hit http://es.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://es.archive.ubuntu.com precise-updates/restricted i386 Packages
Ign http://www.openfoam.org precise/main Translation-en_US
Hit http://es.archive.ubuntu.com precise-updates/universe i386 Packages
Ign http://www.openfoam.org precise/main Translation-en
Hit http://es.archive.ubuntu.com precise-updates/multiverse i386 Packages
Hit http://es.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://es.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Hit http://es.archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://es.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://es.archive.ubuntu.com precise-backports/main Sources
Hit http://es.archive.ubuntu.com precise-backports/restricted Sources
Hit http://es.archive.ubuntu.com precise-backports/universe Sources
Hit http://es.archive.ubuntu.com precise-backports/multiverse Sources
Hit http://es.archive.ubuntu.com precise-backports/main amd64 Packages
Hit http://es.archive.ubuntu.com precise-backports/restricted amd64 Packages
Hit http://es.archive.ubuntu.com precise-backports/universe amd64 Packages
Hit http://es.archive.ubuntu.com precise-backports/multiverse amd64 Packages
Hit http://es.archive.ubuntu.com precise-backports/main i386 Packages
Hit http://es.archive.ubuntu.com precise-backports/restricted i386 Packages
Hit http://es.archive.ubuntu.com precise-backports/universe i386 Packages
Hit http://es.archive.ubuntu.com precise-backports/multiverse i386 Packages
Hit http://es.archive.ubuntu.com precise-backports/main TranslationIndex
Hit http://es.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Hit http://es.archive.ubuntu.com precise-backports/restricted TranslationIndex
Hit http://es.archive.ubuntu.com precise-backports/universe TranslationIndex
Hit http://es.archive.ubuntu.com precise/main Translation-en
Hit http://es.archive.ubuntu.com precise/multiverse Translation-en
Hit http://es.archive.ubuntu.com precise/restricted Translation-en
Hit http://es.archive.ubuntu.com precise/universe Translation-en
Hit http://es.archive.ubuntu.com precise-updates/main Translation-en
Hit http://es.archive.ubuntu.com precise-updates/multiverse Translation-en
Hit http://es.archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://es.archive.ubuntu.com precise-updates/universe Translation-en
Hit http://es.archive.ubuntu.com precise-backports/main Translation-en
Hit http://es.archive.ubuntu.com precise-backports/multiverse Translation-en
Hit http://es.archive.ubuntu.com precise-backports/restricted Translation-en
Hit http://es.archive.ubuntu.com precise-backports/universe Translation-en
W: Failed to fetch http://www.openfoam.org/download/ubu...amd64/Packages 404 Not Found

W: Failed to fetch http://www.openfoam.org/download/ubu...-i386/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.



and the next steps followed are also not works. i just following the instruction in the web:

http://www.openfoam.org/download/ubuntu.php

thank you alll

sorry , i was not noted that OF is not available for ubuntu204..
sorry..

wyldckat February 21, 2012 18:02

Greetings hewei,

Well, Ubuntu 12.04 is still only Alpha 2, which means that it isn't even beta, so it's bound to have serious stability issues...

Anyway, you can still install the deb version of OpenFOAM by using the following command in place of the first point at http://openfoam.org/download/ubuntu.php :
Code:

sudo sh -c "echo deb http://www.openfoam.org/download/ubuntu oneiric main > /etc/apt/sources.list.d/openfoam.list"
In bold is specified to use the version that is meant for Ubuntu 11.10. Then follow the rest of the instructions to continue the installation and testing at the end.

Keep in mind that this does not necessarily mean that everything will work as intended. It's advised to install from source when using unsupported Linux distributions/versions: http://www.openfoam.org/download/source.php or http://www.openfoam.org/download/git.php

Best regards,
Bruno

hewei February 22, 2012 06:34

[QUOTE]Hi Bruno,
I tried the commands, the OF is installed successfully.
Thank you very much.:)

but when i test the case cavity, parafoam doesn't works, the paraview came up with a flash and then disappeared.

~/OpenFOAM/wei-2.1.0/run/tutorials/incompressible/icoFoam/cavity$ paraFoam
created temporary 'cavity.OpenFOAM'
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
ERROR: In /home/opencfd/OpenFOAM/ThirdParty-dev/ParaView-3.12.0/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 404
vtkXOpenGLRenderWindow (0x2e26570): Could not find a decent visual



Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
ERROR: In /home/opencfd/OpenFOAM/ThirdParty-dev/ParaView-3.12.0/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 404
vtkXOpenGLRenderWindow (0x2e26570): Could not find a decent visual



Xlib: extension "GLX" missing on display ":0.0".
ERROR: In /home/opencfd/OpenFOAM/ThirdParty-dev/ParaView-3.12.0/VTK/Rendering/vtkXOpenGLRenderWindow.cxx, line 609
vtkXOpenGLRenderWindow (0x2e26570): GLX not found. Aborting.


Aborted (core dumped)

I will try your last advice and feed back the infomations.:D

Wei.

Quote:

Originally Posted by wyldckat (Post 345631)
Greetings hewei,

Well, Ubuntu 12.04 is still only Alpha 2, which means that it isn't even beta, so it's bound to have serious stability issues...

Anyway, you can still install the deb version of OpenFOAM by using the following command in place of the first point at http://openfoam.org/download/ubuntu.php :
Code:

sudo sh -c "echo deb http://www.openfoam.org/download/ubuntu oneiric main > /etc/apt/sources.list.d/openfoam.list"
In bold is specified to use the version that is meant for Ubuntu 11.10. Then follow the rest of the instructions to continue the installation and testing at the end.

Keep in mind that this does not necessarily mean that everything will work as intended. It's advised to install from source when using unsupported Linux distributions/versions: http://www.openfoam.org/download/source.php or http://www.openfoam.org/download/git.php

Best regards,
Bruno


wyldckat February 22, 2012 08:38

Hi Wei,

From my vast blog of links:
Quote:

Originally Posted by http://www.cfd-online.com/Forums/blogs/wyldckat/533-related-issues-paraview-openfoam-fixes-solutions.html

Best regards,
Bruno

Erik May 29, 2012 07:16

Hello Hawei,

I have been struggling with this a bit myself recently. After 5 attempts of reinstalling Ubuntu 12.04 on my dell 17r laptop I found that while installing Ubuntu, I need to UNTICK install third-libraries in order not to have the errors from paraview that you listed above. Then, OpenFOAM 2.1.x installs out of the box and paraview runs without errors (following the guidelines of the installation webpage).

ps. I have not yet tried updating Ubuntu software packages and hope this wont disturb paraview once again.

Cheers,
Erik

hewei May 29, 2012 07:43

Quote:

Originally Posted by Erik (Post 363557)
Hello Hawei,

I have been struggling with this a bit myself recently. After 5 attempts of reinstalling Ubuntu 12.04 on my dell 17r laptop I found that while installing Ubuntu, I need to UNTICK install third-libraries in order not to have the errors from paraview that you listed above. Then, OpenFOAM 2.1.x installs out of the box and paraview runs without errors (following the guidelines of the installation webpage).

ps. I have not yet tried updating Ubuntu software packages and hope this wont disturb paraview once again.

Cheers,
Erik

Hi Erik,

Thanks for your answers, after struggling many times,I have to give up to intall it on my laptop. Then I choose to run the OF2.1 on the vitual machine. I installed the Ubuntu through "wubi", and it works easy and well.
NOTE, using this way, you should left a More Bigger space at the beginning before installing Ubuntu.


All times are GMT -4. The time now is 02:59.